21.01.2015 15:22    

ehya
elk21




her lispi böyle copy-paste yapıp ne olduğunumu soracaksın?? :no
bi zahmet lispi yükleyip test et.. lispi aldığın yerde mutlaka açıklaması vardır....

21.01.2015 17:03    

elk21
Sayın ehya hocam sizi rahatsız ettiğim için özür dilerim lispler hakkında yeni yeni bilgi sahibi oluyorum daha önce hiç lisp kullanmadım ve ne kadar cahil kaldığımı lisplerle tanışınca öğrendim lisp yükledim nasıl test edeceğimi bilmediğim için forumda paylaştım içeriğini okudum anlamadım sizi rahatsız ettiğim için özür dilerim..kusura bakmayın.


[Küçük harf lütfen]



BANA BİR HARF ÖĞRETENİN KIRKYIL KÖLESİ OLURUM HZ.ALİ

ehya (22.01.2015 07:21 GMT)

22.01.2015 08:31    

özkan-wien
sevgili elk21 kardesim sana bi tavsiyede bulunmak isterim. o Kadar cok sayida Lisp var ki hepsininin ne ise yaradigini test etmene ömür yetmez.
Izlemen gereken yol su;
lispin mantigini az cok anladiysan, yani lisple nelere yapilabilir hangi Rutin isler kisaltilabilir vb.
sana lazim olan, günlük islerinde senin islerini kolaylastiracak lisplere yönelmelisin.

AutoCAD/LISP bir okyanus, branslar ise sahil kenari. Yani ben Antalyada Larada yuzuyorum, bi baskasi Finikede ,KAs da. Sen de kendi sahilinde takilacaksin. Her sahilde bi yuzup geliyim suyu nasilmis dersen buna ne ömür yeter ne de gücün.

22.01.2015 09:01    

alumina
Alıntı
özkan-wien :
sevgili elk21 kardesim sana bi tavsiyede bulunmak isterim. o Kadar cok sayida Lisp var ki hepsininin ne ise yaradigini test etmene ömür yetmez.
Izlemen gereken yol su;
lispin mantigini az cok anladiysan, yani lisple nelere yapilabilir hangi Rutin isler kisaltilabilir vb.
sana lazim olan, günlük islerinde senin islerini kolaylastiracak lisplere yönelmelisin.

AutoCAD/LISP bir okyanus, branslar ise sahil kenari. Yani ben Antalyada Larada yuzuyorum, bi baskasi Finikede ,KAs da. Sen de kendi sahilinde takilacaksin. Her sahilde bi yuzup geliyim suyu nasilmis dersen buna ne ömür yeter ne de gücün.



marmarisi tavsiye ederim. Bodrum Bitez'de cok guzel :)

23.02.2015 13:04    

onurkurnazkasso
Arkadaşlar autocad sayfasında yüzlerce çizim var bunları farklı kaydetmenin bir yolu yöntemi lispi yokmudur ?
yok mu şu fakire bir yardım edecek yiğit :)

23.02.2015 13:31    

alumina
Alıntı
onurkurnazkasso :
Arkadaşlar autocad sayfasında yüzlerce çizim var bunları farklı kaydetmenin bir yolu yöntemi lispi yokmudur ?
yok mu şu fakire bir yardım edecek yiğit :)



Cizim icindeki her bir nesneyi farkli kaydetmek mi? Ornek dosya uzerinde isaretleme yapip aciklayici bilgiler yazip dosyayi burada paylasirmisiniz

23.02.2015 13:32    

ehya
onurkurnazkasso




farklı kaydetmekten kastınız, dosyaları açmadan versiyon değişimi mi?

23.02.2015 14:27    

onurkurnazkasso
sayın alumina ve ehya ilginiz için teşekkürler.


Linkleri görebilmek için ÜYE olmalısınız.


resimdeki panellerin her birini üstünde yazan ismiyle birlikte farklı kaydetmem gerekmektedir.

23.02.2015 14:27    

Harbi65
Alıntı
onurkurnazkasso :
Arkadaşlar autocad sayfasında yüzlerce çizim var bunları farklı kaydetmenin bir yolu yöntemi lispi yokmudur ?
yok mu şu fakire bir yardım edecek yiğit :)



Doğru anladımsa bir çizim dosyasındaki belirli çizim gruplarını ayrı dosya olarak kaydetmek istiyorsun...?

WBLOCK komutunu kullanabilirsin.
Açılan pencereden Select Object butonuyla ayıracağın çizim grubunu seç.
File name and path bölümünde kaydedeceğin yeri tarifle. Hepsi bu kadar.
Yüzlerce çizimi tek hamlede yapmak istiyorsan mevcut bir komut yok...

23.02.2015 14:38    

onurkurnazkasso
üstad sağol ama bunlar benim bilgim dahilindeki şeyler

sizin dediğiniz gibi gidecek olursak başka çözüm yöntemleri de var.
ama bunlar benim işimi görememektedir.
belki lisp yapılabilinir mi bununla alakalı işte onu bilmiyorum böyle bir çözüm yöntemi arıyorum sizin gibi değerli arkadaşlardan

23.02.2015 14:57    

Travaci
onurkurnazkasso


Dosyanı paylaşırmısn !

23.02.2015 15:30    

onurkurnazkasso


Linkleri görebilmek için ÜYE olmalısınız.



dosya cizimlerin sadece çooook ufak bir kısmını ele almaktadır. dosya boyutu çok yüksek olduğundan bir kaç ressim koydun sadece.

24.02.2015 01:23    

alumina
Alıntı
onurkurnazkasso :


Linkleri görebilmek için ÜYE olmalısınız.



dosya cizimlerin sadece çooook ufak bir kısmını ele almaktadır. dosya boyutu çok yüksek olduğundan bir kaç ressim koydun sadece.



1- C surucusunun icinde temp klasorunu olusturun. "c:/temp"
2- "FacadePH01C_PanelCutLines" layerinde bulunan 2dpolyline nesneleri patlatip tekrar join le birlestirerek polyline nesneleri olusturun.
3- Panellerin icindeki panel isimlerini belirten mtext nesnelerini patlatarak text nesnelerine donusturun.
4- "perforation" layerinde bulunan circle nesnelerini silin (bu circle nesneleri dosyanızın boyutunu gereksiz yere büyütmekte olup silmezseniz saveas islemi uzun sürecektir.)
Butun bu işlemlerden sonra dosyanızı save edin ve asagidaki kodu calıştırın. Butun paneller kendi isimleriyle birlikte temp klasorunun icine saveas yapılacaktır.


Kod:

(defun c:sv (/ so os co i ls ns fs ts n m) (vl-load-com)
(defun *error* (msg) (if (not (wcmatch (strcase msg t) "*break,*cancel*,*exit*")) (princ (strcat "\nError: " msg))))
(if (setq so (ssget '((0 . "lwpolyline") (8 . "FacadePH01C_PanelCutLines"))))
(progn
(vlax-for os (vla-get-activeselectionset (vla-get-activedocument (vlax-get-acad-object)))
(setq co (vlax-safearray->list (vlax-variant-value (vla-get-coordinates os))) ls '() i 0)
(repeat (/ (vl-list-length co) 2)
(setq ls (cons (list (nth i co) (nth (1+ i) co)) ls) i (+ 2 i)))
(setq ns (ssget "cp" ls) fs (ssget "x") ts (ssget "cp" ls '((0 . "text"))) n -1)
(repeat (sslength ns)
(setq n (1+ n)) (ssdel (ssname ns n) fs))
(setq m -1) (setvar "cmdecho" 0)
(repeat (sslength fs)
(setq m (1+ m)) (vla-delete (vlax-ename->vla-object (ssname fs m))))
(vla-saveas (vla-get-activedocument (vlax-get-acad-object)) (strcat "c:/temp/" (vla-get-textstring (vlax-ename->vla-object (ssname ts 0))) ".dwg") ac2010_dwg)
(vl-cmdf "._undo" "b" "y"))))
(princ))

24.02.2015 08:37    

Travaci
alumina


Adam o circle lara delik açmıcak mı ? :)

Kod:

(defun c:wbb (/ ss n pt tx s) (vl-load-com)
  (defun *error* (msg)
    (if (not (wcmatch (strcase msg t) "*break,*cancel*,*exit*"))
      (princ (strcat "\nError: " msg)) (princ)))
  (if (setq ss (ssget  (list (cons 0 "lwpolyline")
      (cons 8 "FacadePH01C_PanelCutLines"))))
    (progn (setq s -1)
      (while (< (setq s (1+ s)) (sslength ss))
        (setq n -2 nk (vlax-safearray->list (vlax-variant-value
          (vlax-get-property (vlax-ename->vla-object
            (ssname ss s)) 'Coordinates))) pt nil)
        (while (< (setq n (+ n 2)) (1- (length nk)))
          (setq pt (append (list (list (nth n nk) (nth (1+ n) nk))) pt)))
        (if (setq tx (cdr (assoc 1 (entget (ssname
          (ssget "_cp" pt (list (cons 0 "*text"))) 0)))))
          (progn  (ssget "_cp" pt)
            (vla-WBlock (vla-get-activedocument (vlax-get-acad-object))
              (strcat "c:/temp/" tx ".dwg") (vla-get-activeselectionset
                (vla-get-activedocument (vlax-get-acad-object))))
          )
        )
      )
    )
  ) (princ)
)

24.02.2015 09:20    

alumina
2 saat oldu neden hala Travaci bir kulp bulmadi diyordum ki....... :)
nerden biliyorsun circle lara delik acacagını ?

24.02.2015 10:57    

onurkurnazkasso
Alıntı
alumina :
2 saat oldu neden hala Travaci bir kulp bulmadi diyordum ki....... :)
nerden biliyorsun circle lara delik acacagını ?



arkadaşlar sorun şu ki travaci ve alumina sizin lispleri denedim ama parçayı bulmuyor

Select objects: Specify opposite corner: 0 found

bir yer de bir eksiklik mi yapıyorum acaba ?

ayrıca delikler açılacak o yüzden silme şansım yok.
ilginiz için teşekkürler.

24.02.2015 11:03    

alumina
Alıntı
onurkurnazkasso :
Alıntı
alumina :
2 saat oldu neden hala Travaci bir kulp bulmadi diyordum ki....... :)
nerden biliyorsun circle lara delik acacagını ?



arkadaşlar sorun şu ki travaci ve alumina sizin lispleri denedim ama parçayı bulmuyor

Select objects: Specify opposite corner: 0 found

bir yer de bir eksiklik mi yapıyorum acaba ?

ayrıca delikler açılacak o yüzden silme şansım yok.
ilginiz için teşekkürler.




2- "FacadePH01C_PanelCutLines" layerinde bulunan 2dpolyline nesneleri patlatip tekrar join le birlestirerek polyline nesneleri olusturun.

Delikleri silmek zorunda degilsiniz.

24.02.2015 11:09    

onurkurnazkasso
Alıntı
alumina :
Alıntı
onurkurnazkasso :
Alıntı
alumina :
2 saat oldu neden hala Travaci bir kulp bulmadi diyordum ki....... :)
nerden biliyorsun circle lara delik acacagını ?



arkadaşlar sorun şu ki travaci ve alumina sizin lispleri denedim ama parçayı bulmuyor

Select objects: Specify opposite corner: 0 found

bir yer de bir eksiklik mi yapıyorum acaba ?

ayrıca delikler açılacak o yüzden silme şansım yok.
ilginiz için teşekkürler.




2- "FacadePH01C_PanelCutLines" layerinde bulunan 2dpolyline nesneleri patlatip tekrar join le birlestirerek polyline nesneleri olusturun.

Delikleri silmek zorunda degilsiniz.





anladım ama olmuyor. tekrar patlatıyorum ve pe enter j enter yapıp ( polyline ) yapıyorum olmuyor.

24.02.2015 11:14    

alumina
layer adi birebir dogru mu?

24.02.2015 11:19    

Travaci
Text inide patlattın mı ?

Önceki Sayfa [1] [2] [3] [4] [5] [6] [7] [8] [9] [10] [15] [20] [25] [30] [35] > 36 < [40] [43] Sonraki Sayfa
Copyright © 2004-2022 SQL: 1.546 saniye - Sorgu: 99 - Ortalama: 0.01561 saniye